Provided by an FID
curl --request GET \
--url https://snapchain-api.neynar.com/v1/verificationsByFid \
--header 'x-api-key: <api-key>'import requests
url = "https://snapchain-api.neynar.com/v1/verificationsByFid"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://snapchain-api.neynar.com/v1/verificationsByFid', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messages": [
{
"hash": "0xd2b1ddc6c88e865a33cb1a565e0058d757042974",
"hashScheme": "HASH_SCHEME_BLAKE3",
"signature": "aSDinaTvuI8gbWludGxpZnk=",
"signatureScheme": "SIGNATURE_SCHEME_ED25519",
"signer": "<string>",
"data": {
"type": "MESSAGE_TYPE_CAST_ADD",
"fid": 2,
"timestamp": 48994466,
"network": "FARCASTER_NETWORK_MAINNET",
"verificationAddEthAddressBody": {
"address": "0x1234567890123456789012345678901234567890",
"ethSignature": "4mGN6TACFqXUVU9RpwLDGCqgqiV1GidEFk9eKF0L0h6JNqmN3kRM9NMPnjUnkh8oL6+jFeQJ9YVuKX4F9EqGiAE=",
"blockHash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"
}
}
}
],
"nextPageToken": "aSDinaTvuI8gbWludGxpZnk="
}{
"errCode": "<string>",
"presentable": true,
"name": "<string>",
"code": 123,
"details": "<string>",
"metadata": {
"errcode": [
"<string>"
]
}
}Verifications
Provided by an FID
Fetch verifications provided by a user.
GET
/
v1
/
verificationsByFid
Provided by an FID
Authorizations
API key to authorize requests
Query Parameters
The FID being requested
The optional ETH address to filter by
Maximum number of messages to return in a single response
Reverse the sort order, returning latest messages first
The page token returned by the previous query, to fetch the next page. If this parameter is empty, fetch the first page
Was this page helpful?
āI